LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY ADD_DEC IS
	PORT
	(
		SA					: IN	STD_LOGIC_VECTOR(19 DOWNTO 1);
		B_AEN				: IN	STD_LOGIC;
		TIP_ADD0,TIP_ADD1	: OUT	STD_LOGIC
			
			);
END ADD_DEC;

ARCHITECTURE DATAFLOW OF ADD_DEC IS
	signal add : std_logic_vector(19 downto 0);
BEGIN
add <= SA & B_AEN;
PROCESS (SA,B_AEN)
BEGIN
		CASE add IS
			WHEN "00000000001100010000"	=>TIP_ADD0 	<= '1';
										TIP_ADD1 	<= '0';
																				
			WHEN "00000000001100010010"	=>TIP_ADD0 	<= '0';
										TIP_ADD1 	<= '1';
																																		
			WHEN OTHERS				=>	TIP_ADD0 	<= '0';
										TIP_ADD1 	<= '0';
																				
		END CASE;
END PROCESS;
END DATAFLOW;

